=head1 NAME

Gtk2::Table

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Table

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::Table-E<gt>B<new> ($rows, $columns, $homogeneous=FALSE)

=over

=over

=item * $rows (integer) 

=item * $columns (integer) 

=item * $homogeneous (boolean) 

=back

=back

=head2 $table-E<gt>B<attach> ($child, $left_attach, $right_attach, $top_attach, $bottom_attach, $xoptions, $yoptions, $xpadding, $ypadding)

=over

=over

=item * $child (Gtk2::Widget) 

=item * $left_attach (integer) 

=item * $right_attach (integer) 

=item * $top_attach (integer) 

=item * $bottom_attach (integer) 

=item * $xoptions (Gtk2::AttachOptions) 

=item * $yoptions (Gtk2::AttachOptions) 

=item * $xpadding (integer) 

=item * $ypadding (integer) 

=back

=back

=head2 $table-E<gt>B<attach_defaults> ($widget, $left_attach, $right_attach, $top_attach, $bottom_attach)

=over

=over

=item * $widget (Gtk2::Widget) 

=item * $left_attach (integer) 

=item * $right_attach (integer) 

=item * $top_attach (integer) 

=item * $bottom_attach (integer) 

=back

=back

=head2 integer = $table-E<gt>B<get_col_spacing> ($column)

=over

=over

=item * $column (integer) 

=back

=back

=head2 $table-E<gt>B<set_col_spacing> ($column, $spacing)

=over

=over

=item * $column (integer) 

=item * $spacing (integer) 

=back

=back

=head2 $table-E<gt>B<set_col_spacings> ($spacing)

=over

=over

=item * $spacing (integer) 

=back

=back

=head2 integer = $table-E<gt>B<get_default_col_spacing> 

=over

=back

=head2 integer = $table-E<gt>B<get_default_row_spacing> 

=over

=back

=head2 boolean = $table-E<gt>B<get_homogeneous> 

=over

=back

=head2 $table-E<gt>B<set_homogeneous> ($homogeneous)

=over

=over

=item * $homogeneous (boolean) 

=back

=back

=head2 $table-E<gt>B<resize> ($rows, $columns)

=over

=over

=item * $rows (integer) 

=item * $columns (integer) 

=back

=back

=head2 integer = $table-E<gt>B<get_row_spacing> ($row)

=over

=over

=item * $row (integer) 

=back

=back

=head2 $table-E<gt>B<set_row_spacing> ($row, $spacing)

=over

=over

=item * $row (integer) 

=item * $spacing (integer) 

=back

=back

=head2 $table-E<gt>B<set_row_spacings> ($spacing)

=over

=over

=item * $spacing (integer) 

=back

=back


=head1 PROPERTIES

=over

=item 'column-spacing' (Glib::UInt : readable / writable / private)

The amount of space between two consecutive columns

=item 'homogeneous' (boolean : readable / writable / private)

If TRUE, the table cells are all the same width/height

=item 'n-columns' (Glib::UInt : readable / writable / private)

The number of columns in the table

=item 'n-rows' (Glib::UInt : readable / writable / private)

The number of rows in the table

=item 'row-spacing' (Glib::UInt : readable / writable / private)

The amount of space between two consecutive rows

=back


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::AttachOptions

=over

=item * 'expand' / 'GTK_EXPAND'

=item * 'shrink' / 'GTK_SHRINK'

=item * 'fill' / 'GTK_FILL'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

